Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractPanelMenuGroup

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.richfaces.component.AbstractActionComponent
                      org.richfaces.component.AbstractPanelMenuItem
                          org.richfaces.component.AbstractPanelMenuGroup

All Implemented Interfaces:
  EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AjaxProps

Direct Known Subclasses:
  UIPanelMenuGroup

    public abstract class AbstractPanelMenuGroup

extends AbstractPanelMenuItem

Since:
  2010-10-25
Author:
  akolonitsky

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`protected` | `AbstractPanelMenuGroup()`

Method Summary
`abstract javax.el.MethodExpression` | `getChangeExpandListener()`
`abstract String` | `getCollapseEvent()`
`String` | `getDisabledClass()`
`abstract String` | `getExpandEvent()`
`String` | `getFamily()`
`abstract String` | `getHoverClass()`
`String` | `getLeftCollapsedIcon()`
`String` | `getLeftDisabledIcon()`
`String` | `getLeftExpandedIcon()`
`abstract String` | `getLeftIcon()`
`abstract String` | `getLeftIconClass()`
`abstract org.richfaces.PanelMenuMode` | `getMode()`
`abstract String` | `getOnbeforecollapse()`
`abstract String` | `getOnbeforedomupdate()`
`abstract String` | `getOnbeforeexpand()`
`abstract String` | `getOnbeforeselect()`
`abstract String` | `getOnbeforeswitch()`
`abstract String` | `getOnclick()`
`abstract String` | `getOncollapse()`
`abstract String` | `getOncomplete()`
`abstract String` | `getOndblclick()`
`abstract String` | `getOnexpand()`
`abstract String` | `getOnmousedown()`
`abstract String` | `getOnmousemove()`
`abstract String` | `getOnmouseout()`
`abstract String` | `getOnmouseover()`
`abstract String` | `getOnmouseup()`
`abstract String` | `getOnselect()`
`abstract String` | `getOnswitch()`
`abstract String` | `getOnunselect()`
`String` | `getRightCollapsedIcon()`
`String` | `getRightDisabledIcon()`
`String` | `getRightExpandedIcon()`
`abstract String` | `getRightIcon()`
`abstract String` | `getRightIconClass()`
`boolean` | `getState()`
`String` | `getStyleClass()`
`Boolean` | `getSubmittedExpanded()`
`boolean` | `hasActiveItem(javax.faces.component.UIComponent component, String activeItem)`
`Boolean` | `isExpanded()`
`boolean` | `isImmediate()`
`abstract Boolean` | `isSelectable()`
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `queueEvent(javax.faces.event.FacesEvent event)`
`void` | `setDisabledClass(String disabledClass)`
`protected void` | `setEventPhase(javax.faces.event.FacesEvent event)`
`void` | `setExpanded(boolean expanded)`
`void` | `setImmediate(boolean immediate)`
`void` | `setLeftCollapsedIcon(String leftCollapsedIcon)`
`void` | `setLeftDisabledIcon(String leftDisabledIcon)`
`void` | `setLeftExpandedIcon(String leftExpandedIcon)`
`void` | `setRightCollapsedIcon(String rightCollapsedIcon)`
`void` | `setRightDisabledIcon(String rightDisabledIcon)`
`void` | `setRightExpandedIcon(String rightExpandedIcon)`
`void` | `setStyleClass(String styleClass)`
`void` | `setSubmittedExpanded(Object submittedValue)`
`void` | `setValueExpression(String name, javax.el.ValueExpression binding)`
`void` | `validate(javax.faces.context.FacesContext context)`

Methods inherited from class org.richfaces.component.AbstractPanelMenuItem
`getExecute, getLabel, getName, getPanelMenu, getParentItem, getStyle, getValue, isActiveItem, isDisabled, isTopItem, isUnselectable, setExecute, setLeftIcon, setName, setRightIcon, setValue`

Methods inherited from class org.richfaces.component.AbstractActionComponent
`isBypassUpdates, setBypassUpdates`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, removeActionListener, setAction, setActionExpression, setActionListener`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AjaxProps
`getData, getOnbegin, getRender, getStatus, isLimitRender`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractPanelMenuGroup

    protected AbstractPanelMenuGroup()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractPanelMenuItem`

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### validate

    public void validate(javax.faces.context.FacesContext context)

### queueEvent

    public void queueEvent(javax.faces.event.FacesEvent event)

  Overrides:
    `queueEvent` in class `AbstractActionComponent`

### setEventPhase

    protected void setEventPhase(javax.faces.event.FacesEvent event)

### getSubmittedExpanded

    public Boolean getSubmittedExpanded()

### setSubmittedExpanded

    public void setSubmittedExpanded(Object submittedValue)

### isExpanded

    public Boolean isExpanded()

### setExpanded

    public void setExpanded(boolean expanded)

### setValueExpression

    public void setValueExpression(String name,
                                   javax.el.ValueExpression binding)

  Overrides:
    `setValueExpression` in class `javax.faces.component.UIComponent`

### isImmediate

    public boolean isImmediate()

  Specified by:
    `isImmediate` in interface `javax.faces.component.ActionSource`
  Overrides:
    `isImmediate` in class `javax.faces.component.UICommand`

### setImmediate

    public void setImmediate(boolean immediate)

  Specified by:
    `setImmediate` in interface `javax.faces.component.ActionSource`
  Overrides:
    `setImmediate` in class `javax.faces.component.UICommand`

### isSelectable

    public abstract Boolean isSelectable()

  Specified by:
    `isSelectable` in class `AbstractPanelMenuItem`

### getMode

    public abstract org.richfaces.PanelMenuMode getMode()

  Specified by:
    `getMode` in class `AbstractPanelMenuItem`

### getCollapseEvent

    public abstract String getCollapseEvent()

### getExpandEvent

    public abstract String getExpandEvent()

### getChangeExpandListener

    public abstract javax.el.MethodExpression getChangeExpandListener()

### getLeftCollapsedIcon

    public String getLeftCollapsedIcon()

### setLeftCollapsedIcon

    public void setLeftCollapsedIcon(String leftCollapsedIcon)

### getLeftDisabledIcon

    public String getLeftDisabledIcon()

  Overrides:
    `getLeftDisabledIcon` in class `AbstractPanelMenuItem`

### setLeftDisabledIcon

    public void setLeftDisabledIcon(String leftDisabledIcon)

  Overrides:
    `setLeftDisabledIcon` in class `AbstractPanelMenuItem`

### getLeftExpandedIcon

    public String getLeftExpandedIcon()

### setLeftExpandedIcon

    public void setLeftExpandedIcon(String leftExpandedIcon)

### getRightCollapsedIcon

    public String getRightCollapsedIcon()

### setRightCollapsedIcon

    public void setRightCollapsedIcon(String rightCollapsedIcon)

### getRightDisabledIcon

    public String getRightDisabledIcon()

  Overrides:
    `getRightDisabledIcon` in class `AbstractPanelMenuItem`

### setRightDisabledIcon

    public void setRightDisabledIcon(String rightDisabledIcon)

  Overrides:
    `setRightDisabledIcon` in class `AbstractPanelMenuItem`

### getRightExpandedIcon

    public String getRightExpandedIcon()

### setRightExpandedIcon

    public void setRightExpandedIcon(String rightExpandedIcon)

### getOncollapse

    public abstract String getOncollapse()

### getOnexpand

    public abstract String getOnexpand()

### getOnswitch

    public abstract String getOnswitch()

### getOnbeforecollapse

    public abstract String getOnbeforecollapse()

### getOnbeforeexpand

    public abstract String getOnbeforeexpand()

### getOnbeforeswitch

    public abstract String getOnbeforeswitch()

### getDisabledClass

    public String getDisabledClass()

  Overrides:
    `getDisabledClass` in class `AbstractPanelMenuItem`

### setDisabledClass

    public void setDisabledClass(String disabledClass)

  Overrides:
    `setDisabledClass` in class `AbstractPanelMenuItem`

### getHoverClass

    public abstract String getHoverClass()

### getLeftIconClass

    public abstract String getLeftIconClass()

  Specified by:
    `getLeftIconClass` in class `AbstractPanelMenuItem`

### getRightIconClass

    public abstract String getRightIconClass()

  Specified by:
    `getRightIconClass` in class `AbstractPanelMenuItem`

### getLeftIcon

    public abstract String getLeftIcon()

  Overrides:
    `getLeftIcon` in class `AbstractPanelMenuItem`

### getRightIcon

    public abstract String getRightIcon()

  Overrides:
    `getRightIcon` in class `AbstractPanelMenuItem`

### getStyleClass

    public String getStyleClass()

  Overrides:
    `getStyleClass` in class `AbstractPanelMenuItem`

### setStyleClass

    public void setStyleClass(String styleClass)

  Overrides:
    `setStyleClass` in class `AbstractPanelMenuItem`

### getOnbeforedomupdate

    public abstract String getOnbeforedomupdate()

### getOncomplete

    public abstract String getOncomplete()

### getOnclick

    public abstract String getOnclick()

  Specified by:
    `getOnclick` in class `AbstractPanelMenuItem`

### getOndblclick

    public abstract String getOndblclick()

  Specified by:
    `getOndblclick` in class `AbstractPanelMenuItem`

### getOnmousedown

    public abstract String getOnmousedown()

  Specified by:
    `getOnmousedown` in class `AbstractPanelMenuItem`

### getOnmousemove

    public abstract String getOnmousemove()

  Specified by:
    `getOnmousemove` in class `AbstractPanelMenuItem`

### getOnmouseout

    public abstract String getOnmouseout()

  Specified by:
    `getOnmouseout` in class `AbstractPanelMenuItem`

### getOnmouseover

    public abstract String getOnmouseover()

  Specified by:
    `getOnmouseover` in class `AbstractPanelMenuItem`

### getOnmouseup

    public abstract String getOnmouseup()

  Specified by:
    `getOnmouseup` in class `AbstractPanelMenuItem`

### getOnunselect

    public abstract String getOnunselect()

  Specified by:
    `getOnunselect` in class `AbstractPanelMenuItem`

### getOnselect

    public abstract String getOnselect()

  Specified by:
    `getOnselect` in class `AbstractPanelMenuItem`

### getOnbeforeselect

    public abstract String getOnbeforeselect()

  Specified by:
    `getOnbeforeselect` in class `AbstractPanelMenuItem`

### hasActiveItem

    public boolean hasActiveItem(javax.faces.component.UIComponent component,
                                 String activeItem)

### getState

    public boolean getState()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.